#!/usr/bin/perl -I .

use strict;
use Test::More tests => 23;

# 1 
BEGIN {
	use_ok('FDN::Common::Logger');
}

#2
ok(1, "Capable de tester");

my $msg = "Mon message ";
my $n = 1;
logger_prefix('testing');

#3
ok(debug($msg.$n), "debug");
ok(get_last_debug_msg() eq $msg.$n, "last debug");
ok(ref get_last_debug() eq 'HASH',  "last debug");

$n++;

#6
ok(info($msg.$n), "info");
ok(get_last_info_msg() eq $msg.$n, "last info");
ok(ref get_last_info() eq 'HASH',  "last info");

$n++;

#9
ok(notice($msg.$n), "notice");
ok(get_last_notice_msg() eq $msg.$n, "last notice");
ok(ref get_last_notice() eq 'HASH',  "last notice");

$n++;

#12
ok(warning($msg.$n), "warning");
ok(get_last_warning_msg() eq $msg.$n, "last warning");
ok(ref get_last_warning() eq 'HASH',  "last warning");

$n++;

#15
ok(error($msg.$n), "error");
ok(get_last_error_msg() eq $msg.$n, "last error");
ok(ref get_last_error() eq 'HASH',  "last error");

$n++;

#18
ok(critic($msg.$n), "critic");
ok(get_last_critic_msg() eq $msg.$n, "last critic");
ok(ref get_last_critic() eq 'HASH',  "last critic");

$n++;

#21
ok(alert($msg.$n), "alert");
ok(get_last_alert_msg() eq $msg.$n, "last alert");
ok(ref get_last_alert() eq 'HASH',  "last alert");



